import { ResponseStream } from './ResponseStream.js';
export const awslambdaSimulator = (silent) => {
    let responseStream = new ResponseStream({ silent });
    return {
        awslambda: {
            streamifyResponse: (handler) => async (event, context) => {
                await handler(event, responseStream, context);
                return responseStream;
            },
            HttpResponseStream: {
                from(responseStream, metadata) {
                    //TODOD: implement writing metadata to responseStream
                    return responseStream;
                },
            },
        },
        streamifyHandler: (handler) => async (event, context) => {
            await handler(event, responseStream, context);
            await new Promise(resolve => responseStream.on('close', resolve));
            return responseStream.getBufferedData().toString('utf-8');
        },
    };
};
